// ResourceEditorListener.java
// $Id: ResourceEditorListener.java,v 1.1 1997/07/10 09:01:38 ylafon Exp $
// (c) COPYRIGHT MIT and INRIA, 1997.
// Please first read the full copyright statement in file COPYRIGHT.html

package w3c.jigadm.gui ;

import java.awt.*;
import java.util.*;
import w3c.jigadm.*;
import w3c.jigadm.events.*;
import w3c.jigadm.editors.*;
import w3c.jigsaw.admin.*;

public class ResourceEditorListener implements ResourceListener {
    
    ServerBrowser sb = null;

    public void resourceChanged(ResourceChangeEvent e) {
	if(e.getNewValue() == null) { // deleted ?
	    if(e.getOldValue() != null) {
		sb.removeNode((RemoteResourceWrapper)e.getOldValue());
	    }
	}
    }

    public ResourceEditorListener(ServerBrowser sb) {
	this.sb = sb;
    }
}
